osCommerce France : Accueil Forum Portail osCommerce France Réponses aux questions Foire aux contributions

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> Paypal tls 1.2 sur oscom 2.3.4 help
chryst64
posté 18 Jun 2018, 13:59
Message #1


Ceinture blanche+ OSC
Icône de groupe

Groupe : Membres
Messages : 22
Inscrit : 21-August 05
Membre no 6859



Bonjour à tous,

Je travail sur une osc 2.3.4 avec Paypal app v5 (la dernière), tout fonctionne bien

Config general :
Verify SSL False
SSL Version Default

Config payments standard:
Encrypted Website Payments False


Je viens de recevoir un email de paypal pour la mise à jour des protocoles Tls:

Code
Le Conseil des normes de sécurité PCI a émis de nouvelles normes de sécurité qui doivent être appliquées au plus tard le 30 juin 2018. Avant cette date, toutes les entités doivent avoir interrompu l’utilisation du protocole SSL/TLS du début comme contrôle de sécurité dans leurs systèmes et être passées entièrement à une version sécurisée des protocoles de chiffrement TLS, comme TLS 1.2.

Nos registres indiquent que votre intégration PayPal actuelle utilise une version antérieure à TLS 1.2. Vous devez donc agir immédiatement pour surclasser vos intégrations PayPal en les faisant utiliser le protocole cryptographique TLS 1.2 AVANT le 30 juin 2018.

Si vous ne surclassez pas votre intégration avant le 30 juin 2018, vous prendrez des risques EN ACCEPTANT DES TRANSACTIONS PAYPAL OU DES PAIEMENTS PAR CARTE DE CRÉDIT TRAITÉS PAR PAYPAL sans surclassement de votre logiciel de paiements pour la prise en charge TLS 1.2.

Périodes de tests

Avant le 30 juin 2018, PayPal procédera chaque semaine à des tests d'émulation de la nouvelle sécurité. Ces tests vous fourniront des informations sur les zones de votre intégration nécessitant encore des surclassements du protocole de sécurité. Si vos systèmes ont été surclassés pour prendre en charge TLS 1.2, vous ne devriez pas être concerné pendant les périodes de tests. Cependant, si les intégrations de vos systèmes ne sont pas encore surclassées, vous risquez de subir des interruptions dans les services PayPal, notamment lors du traitement des paiements et pour les rapports. Veuillez noter que chaque période de test peut prendre plusieurs heures.

Les dates de test sont publiées sur notre page de tests de surclassement de la sécurité des marchands  ((changer le lien en fonction de la langue)).

Pour en savoir plus sur le surclassement vers TLS 1.2, rendez-vous sur la page du Microsite de surclassement TLS 1.2 ((changer le lien en fonction de la langue)) ou sur le site du Conseil des normes de sécurité PCI, où un compte à rebours jusqu'à la date limite apparaît en haut du site.

Nous vous recommandons vivement d'effectuer les surclassements des protocoles de sécurité nécessaires maintenant afin d'être prêt avant la date limite du 30 juin 2018.

Si vous avez des questions à propos de votre intégration PayPal ou si vous souhaitez discuter des options de rattrapage, nous vous prions de demander à votre équipe technique de contacter le service des marchands en ouvrant un dossier dans la page Aide et Contact. Si vous avez des questions concernant les normes de sécurité, PCI fournit des coordonnées de contact sur son site.



Ma question :
Si je ne faits pas de modifications sur mon site, les paiements paypal vont ils s'arréter de fonctionner ?


Installation du TLS 1.2 :
Quand je teste le TLS dans la config général de paypal app

Code
cURL Version: 7.21.0
cURL SSL Version: GnuTLS/2.8.6
Default Setting: Failed
TLS v1.2: Failed

A connection to PayPal could not be made using TLS v1.2. Please consult with your hosting provider to upgrade the cURL version that is installed with your PHP web server to support TLS v1.2 connections.
This must be performed by June 30, 2017 otherwise connections will continue to fail.


Ce résultat est il due à la config de mon "payments standard" ?
Encrypted Website Payments False
Your Private Key Vide
Your Public Certificate Vide
Your PayPal Public Certificate ID Vide
PayPal Public Certificate Vide
Working Directory Vide


Pour contrôler la version de mon serveur et le Tls j'ai regardé ici : www.ssllabs.com/ssltest/
Le rapport est bien en A+ et le Tls1.2 OK

En suivant les différents forum d'oscommerce, j'ai récupéré les fichiers :
cacert.pem
et
paypal.com.crt
que j'ai mis dans le dossier ext/modules/payment/paypal/

J'ai refaits le test TLS mais toujours en Failed

Quelqu'un as t'il mis en place le TLS sur un oscommerce ?

Merci pour vos réponses

Go to the top of the page
 
Bonbec
posté 18 Jun 2018, 14:26
Message #2


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1441
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

La phrase intéressante semble être celle-ci :
Citation
Please consult with your hosting provider to upgrade the cURL version that is installed with your PHP web server to support TLS v1.2 connections.

En français :
Citation
Veuillez consulter votre hébergeur pour mettre à niveau la version de cURL installée avec votre serveur Web PHP afin de prendre en charge les connexions TLS v1.2.

C'est peut-être la clé qui résoudra le problème ...

EDIT : tlsv1.2 est supporté par curl à partir de la version 7.34.0


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
chryst64
posté 18 Jun 2018, 14:52
Message #3


Ceinture blanche+ OSC
Icône de groupe

Groupe : Membres
Messages : 22
Inscrit : 21-August 05
Membre no 6859



Merci Bonbec pour ta réponse,

J'ai regardé sur les infos de mon serveur:

OpenSSL 0.9.8
cURL Information 7.21.0


Et en fouillant le net, je suis tombé la dessus :

TLS 1.1 and TLS 1.2 are supported since OpenSSL 1.0.1
Forcing TLS 1.1 and 1.2 are only supported since curl 7.34.0

Je vais me rapprocher de mon hébergeur et revient pour la suite.

Merci à toi

Le Chryst 64
Go to the top of the page
 
chryst64
posté 20 Jun 2018, 16:05
Message #4


Ceinture blanche+ OSC
Icône de groupe

Groupe : Membres
Messages : 22
Inscrit : 21-August 05
Membre no 6859



Re,

Problème TLS 1.2 résolu chez l'hébergeur après une mise à jour de leur serveur.

Pour la configuration, j'utilise le ssl de mon hébergeur mutualisé et pour paypal le "payments standard"

Du coups je n'avais pas rempli les champs suivant et les paiements marchaient bien :

Encrypted Website Payments False
Your Private Key Vide
Your Public Certificate Vide
Your PayPal Public Certificate ID Vide
PayPal Public Certificate Vide
Working Directory Vide

Dois je les remplir et installer les fichiers "paypal.com.crt" et cacert.pem pour faire fonctionner avec tls ?

Merci
Lechryst
Go to the top of the page
 

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



RSS Version bas débit Nous sommes le : 25th September 2018 - 13:05
Ce site est déclaré auprès de la commision Nationale
de l'Informatique et des Libertés (déclaration n°: 1043896)